Status: Closed Start date: 2008-05-20

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

What about to add "search scope" to search fields?

My idea is to add two checkboxes under under/next to search field:

[x] search also in subprojects [x] search in all projects

I hope the functionality is evident. If you select "[x] search in all projects", the field "[x] search also in subprojects" will be automaticaly

marked as checked and the field will be unaccessible. Also radio buttons can be used, but in will be a lot of text IMHO:

Search: (o) this project only, ( ) also in subprojects, ( ) all projects

What others think?

Associated revisions

Revision 1439 - 2008-05-20 22:31 - Jean-Philippe Lang

Ability to search a project and its subprojects (#1264).

History

#1 - 2008-05-20 18:05 - Guest Test

- Assignee set to Nicolas Chuche

- Target version set to 0.8

teste

#2 - 2008-05-20 21:50 - Jean-Philippe Lang

As of r1435, you can search in all projects. I added a drop down list to choose the scope.

Currently, you can choose:

All projects

My projects (if you belong to some projects)

Current project (if you are inside a project)

It shouldn't be hard to add 'current project and subprojects' if the current has some subprojects :-)

Btw, I think a drop down list is more appropriate, isn't it ?

#3 - 2008-05-20 22:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee deleted (Nicolas Chuche)

- Resolution set to Fixed

Added in r1439.

#4 - 2008-05-28 17:17 - Maxim Krušina

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

I just checked implementation.

On dedicated search page it's just OK.

But I think that same scope should be on the search box at main blue header - now users are not sure where they are currently searching...
https://www.redmine.org/projects/redmine/repository/svn/revisions/1435
https://www.redmine.org/projects/redmine/repository/svn/revisions/1439


#5 - 2008-11-11 10:50 - Jean-Philippe Lang

- Status changed from Reopened to Closed

I prefer to keep the header light.

Users can simply click the search link to see the full search form.
